<?php
//--------------------------------------------------------------------
// *** Module Organizer ***
// LAST UPDATE: 2008/02/21
// Version    : 1.00
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// morgan.php
//
//--------------------------------------------------------------------

morgan_module_list($modules);

function morgan_module_list($modules) {

	if ($modules[0]) {

		reset($modules[1]);
		$m = 0;
		$n = 0;
		$o = 0;
		while(list($key, $val) = each($modules[1])) {
			if (file_exists(BLOGN_MODDIR.$key."/hide.txt")) {
				$hide[$m]["name"] = $val["name"];
				$hide[$m]["desc"] = $val["desc"];
				$hide[$m]["id"] = $key;
				$m += 1;
			} elseif (file_exists(BLOGN_MODDIR.$key."/show.txt")) {
				$show[$n]["name"] = $val["name"];
				$show[$n]["desc"] = $val["desc"];
				$show[$n]["id"] = $key;
				$n += 1;
			} else {
				$top[$o]["name"] = $val["name"];
				$top[$o]["desc"] = $val["desc"];
				$top[$o]["id"] = $key;
				$o += 1;
			}
		}
	}

	echo '<div class="blogn_main">
<div class="blogn_bar">モジュール一覧</div>';

	if ($o) {
		morgan_draw_table($o, $top);
		echo '<hr style="color:#ffffff;">';
	}
	if ($n) {
		morgan_draw_table($n, $show);
	}
	if ($m) {
		echo '
<p onClick="javascript:document.getElementById(\'hidden\').style.display = (document.getElementById(\'hidden\').style.display != \'none\' ? \'none\' : \'block\');" style="cursor:pointer;"><img src="./ico/mark_35.gif" width="13" height="13" alt="" style="vertical-align:middle;"> 隠れているモジュールを表示する</p>
<div id="hidden" style="display:none;">';
		morgan_draw_table($m, $hide);
		echo "</div>\n";
	}
	echo "</div>\n";
}

function morgan_draw_table($number, $array) {
	echo '
<table class="blogn_user_list">
<tr>
	<th style="background-color:#dcdcdc;text-align:center;">モジュール名</th>
	<th style="background-color:#dcdcdc;text-align:center;" width="50">更新</th>
	<th style="background-color:#dcdcdc;text-align:center;" width="50">編集</th>
</tr>
';

	for ($i = 0; $i < $number; $i++) {
		$color = ($i % 2) ? "#f5f5f5" : "#ffffff";
		echo '
<tr style="background-color:'.$color.';">
	<td style="padding:5px;">'.$array[$i]["name"].'<div class="blogn_comment">'.$array[$i]["desc"].'</div></td>
	<td align="center"><a href="admin.php?mode=module&amp;action=update&name='.$array[$i]["id"].'" title="アップデート"><img src="./images/update.gif" border="0" alt="アップデート" width="20" height="20"></a></td>
	<td align="center"><form action="./admin.php?mode=module&amp;action=edit" method="post"><input type="hidden" name="blogn_module_name" value="'.$array[$i]["id"].'"><input type="image" src="./images/edit.gif" name="submit" alt="編集"></form></td>
</tr>
';
	}
	echo "</table>\n";
}
?>